Bug Hunting Session
Bug 75380 - FORMATTING: Can't Create a Border Around a Chart
Summary: FORMATTING: Can't Create a Border Around a Chart
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.4.0 target:4.2.7 target:...
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-02-22 19:17 UTC by Jonathan Levi
Modified: 2014-08-01 11:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The spreadsheet document whose charts were mishandled. (18.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-22 19:17 UTC, Jonathan Levi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Levi 2014-02-22 19:17:38 UTC
Created attachment 94578 [details]
The spreadsheet document whose charts were mishandled.

Problem description: 
Chart Borders cannot be made visible.

(Note: Version is 4.2.1.1,
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b, not 4.3.0.0)

Steps to reproduce:
1. Created new chart
2. Double-clicked the chart
3. Selected menu Format > Chart Area... > Borders
4. Set Style to Continuous, Color to Black, Width to 0.04", 
       Transparency to 0% and clicked OK.

Current behavior: Nothing happens.

Expected behavior: A black, continuous border should appear around the chart.

              
Operating System: Mac OS X
Version: 4.3.0.0.alpha0+ Master
Comment 1 A (Andy) 2014-02-23 12:19:22 UTC
already reproducible with LO 4.2.1.1 (Win8.1)
Comment 2 Niklas Johansson 2014-06-09 18:32:01 UTC
Still reproducible with LibreOffice 4.3.0.0.beta2
Comment 3 Niklas Johansson 2014-06-10 19:20:04 UTC
I used bibisect and ended up at the following two commits.

prevent some implicit iterator conversions
http://cgit.freedesktop.org/libreoffice/core/commit/?id=e79c706ddda21f850fe3c5a867bacf3982e5b112

GPU Calc: add an inline function to legalize inputs for reduction.
http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7e4e5d35e66dbfcc30576d198e393661d84f616


Looking deeper into the git history around that time a lot of changes was pushed to the chart area:
http://cgit.freedesktop.org/libreoffice/core/log/?id=3b2b516ce0fee9bc609f4213affa5b0a71f08cb1&qt=range&q=3b2b516ce0fee9bc609f4213affa5b0a71f08cb1


Would it make sense for me to do some manual builds around that time to try to narrow in on when the issue was introduced or is that just a waste of my time?
Comment 4 bugquestcontri 2014-06-11 01:22:13 UTC
bug is observed in XP/SP3 and LibO 4.2.4.2.

See also AskLibO http://ask.libreoffice.org/en/question/34953/chart-border/
Comment 5 Luke 2014-07-18 02:11:51 UTC
In Version: 4.1.6.2
Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
This bug is NOT reproducible. 
Format Chart Area -> Borders -> Continuous, produces a chart with a border. This regression occurred somewhere in the 4.2.x line.
Comment 6 Kohei Yoshida 2014-08-01 03:32:51 UTC
I take this.
Comment 7 Commit Notification 2014-08-01 03:36:54 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6053491532a5d9954caaa4abf09af30850f0cb94

fdo#75380: Let's not always set the line style to NONE here.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Kohei Yoshida 2014-08-01 03:37:50 UTC
Fixed on master and backports to 4.2 and 4.2 have been pushed to gerrit.
Comment 9 Commit Notification 2014-08-01 11:59:18 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6d544cfc10ea37316bb510a8577358ae3b7ae83&h=libreoffice-4-2

fdo#75380: Let's not always set the line style to NONE here.


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-08-01 11:59:32 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=818f4d14981f6731090e5d3ea7c818c9149b4d27&h=libreoffice-4-3

fdo#75380: Let's not always set the line style to NONE here.


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.